<?php
namespace App\Http\Controllers\Api;

use App\Service\AssetServerService;
use Illuminate\Http\Request;

class AssetController extends BaseController
{
    public function getSite(Request $request){
        list($bool, $data) = (new AssetServerService())->getSite($request->all());

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function pdList(Request $request){
        list($bool, $data) = (new AssetServerService())->pdList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function pdDetail(Request $request){
        list($bool, $data) = (new AssetServerService())->pdDetail($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }
}
